Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine
Class JMeterEngineException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.jmeter.engine.JMeterEngineException

All Implemented Interfaces:
  Serializable

    public class JMeterEngineException

extends Exception
implements Serializable

Exception class for use by `JMeterEngine.runTest()` and `RemoteJMeterEngine.rrunTest()`

See Also:
  Serialized Form

Constructor Summary
`JMeterEngineException()`
`JMeterEngineException(String msg)`
`JMeterEngineException(String msg, Throwable t)`
`JMeterEngineException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMeterEngineException

    public JMeterEngineException()

### JMeterEngineException

    public JMeterEngineException(String msg)

### JMeterEngineException

    public JMeterEngineException(Throwable t)

### JMeterEngineException

    public JMeterEngineException(String msg,
                                 Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.